---
title: llarp::ApiConfig

---

# llarp::ApiConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1ApiConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| bool | **[m_enableRPCServer](Classes/structllarp_1_1ApiConfig.md#variable-m-enablerpcserver)**  |
| std::string | **[m_rpcBindAddr](Classes/structllarp_1_1ApiConfig.md#variable-m-rpcbindaddr)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable m_enableRPCServer

```cpp
bool m_enableRPCServer = false;
```


### variable m_rpcBindAddr

```cpp
std::string m_rpcBindAddr;
```


-------------------------------

Updated on 2023-01-06 at 19:35:05 +0000